Create ContractAsk AIpost https://nft-api-sandbox.venly.io/api/minter/contractsThis endpoint is used to create and deploy a contract/collection.Body ParamsnamestringrequiredThe name of the contract/collectionsymbolstringThe symbol for the contract such as VENSdescriptionstringrequiredThe description of the contract/collectionimagestringrequiredThe URL of the image that will be displayed for your collectionexternalUrlstringrequiredYou can add an external URL to your collection. This can be anything such as a link to your websitemediaobjectThis is the media object where you can add an optional key-value pairmedia objectownerstringThe wallet address which will have admin access to the contract. The owner can call the admin right functions on the contract. If not specified, the contract will be managed by Venly.autoApprovedAddressesLockedbooleantruefalsestorageobjectThis object holds the storage details for the metadata of the contractstorage objectchainstringenumThe blockchain on which your contract/collection will be createdAVACBSCETHEREUMMATICHEDERAARBITRUMAllowed:AVACBSCETHEREUMMATICHEDERAARBITRUMResponses 200OK 400When the request contains invalid input 401When the user is not authorized to access the resource 403When a user doesn't have proper security authority 404When a resource is not found 405When the HttpMethod is not supported 415Usually when the input is not a valid json 500When there's an unexpected errorUpdated 5 months ago